Debian Bug report logs - #698058
ITP: opam -- package manager for OCaml

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mehdi Dogguy <mehdi@debian.org>

Date: Sun, 13 Jan 2013 15:54:01 UTC

Owned by: Mehdi Dogguy <mehdi@debian.org>

Severity: wishlist

Merged with 712571

Done: Mònica Ramírez Arceda <monica@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-ocaml-maint@lists.debian.org, wnpp@debian.org:
Bug#698058; Package wnpp. (Sun, 13 Jan 2013 15:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-ocaml-maint@lists.debian.org, wnpp@debian.org. (Sun, 13 Jan 2013 15:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: opam -- package manager for OCaml
Date: Sun, 13 Jan 2013 16:51:32 +0100
Package: wnpp
Severity: wishlist
Owner: Mehdi Dogguy <mehdi@debian.org>

* Package name    : opam
  Version         : 0.9.0
  Upstream Author : OCamlPro
* URL             : http://opam.ocamlpro.com/
* License         : GPL-3
  Programming Lang: OCaml
  Description     : package manager for OCaml

 OPAM stands for OCaml PAckage Manager. It aims to suit to a vast number
 of users and use cases, and has unique features:
 * Powerful handling of dependencies: versions constraints, optional
   dependencies, conflicts, etc.
 * Multiple repositories backends: HTTP, rsync, git
 * Ease to create packages and repositories
 * Ability to switch between different compiler versions
 .
 Typically, OPAM will probably make your life easier if you recognize
 yourself in at least one of these profiles:
 * You use multiple versions of the OCaml compiler, or you hack the compiler
   yourself and needs to frequently switch between compiler versions.
 * You use or develop software that needs a specific and/or modified version
   of the OCaml compiler to be installed.
 * You use or develop software that depends on a specific version of an OCaml
   library, or you just want to install a specific version of a package, not
   just the latest one.
 * You want to create your own packages yourself, put them on your own
   repository, with minimal effort.

Packaging is available on alioth:

	  http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/opam.git

I'll be able to upload once ocaml-re and cmdliner are accepted and dose3 is
updated to a newer version (at least 3.1.2).

Regards,

-- 
Mehdi



Merged 698058 712571 Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Mon, 17 Jun 2013 19:27:09 GMT) Full text and rfc822 format available.

Reply sent to Mònica Ramírez Arceda <monica@debian.org>:
You have taken responsibility. (Sat, 10 Aug 2013 14:06:05 GMT) Full text and rfc822 format available.

Notification sent to Mehdi Dogguy <mehdi@debian.org>:
Bug acknowledged by developer. (Sat, 10 Aug 2013 14:06:05 GMT) Full text and rfc822 format available.

Message #12 received at 698058-close@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@debian.org>
To: 698058-close@bugs.debian.org
Subject: bug 698058 is ITP for package opam already in Debian
Date: Sat, 10 Aug 2013 16:04:00 +0200
Hi,

I'm closing this bug because this package is already in Debian: http://packages.qa.debian.org/opam

Regards.



Reply sent to Mònica Ramírez Arceda <monica@debian.org>:
You have taken responsibility. (Sat, 10 Aug 2013 14:06:06 GMT) Full text and rfc822 format available.

Notification sent to Mehdi <mehdi@dogguy.org>:
Bug acknowledged by developer. (Sat, 10 Aug 2013 14:06:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Sep 2013 07:29:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:57:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.